变量值 = 取NPC变量(8);

function Main()

 if(变量值 == 0) then
 提示("你愿意帮我一个忙吗?");
 选择项("嗯,你说说看.@讲述事情","不好意思,我现在还有点事.@exit");
 
 elseif(变量值 == 1) then
   if(检查物品("地图卷轴",1) == true) then
   提示("什么,你已经找到地图卷轴了\n那你愿意给我吗?");
   选择项("嗯,给你.@完成任务","等下给你,我还有点事.@exit");
   else
   提示("地图找到了没?");
   选择项("还没有,等等!我再找找.@exit");
   end;
   
 else
 提示("太感谢你了,这一路不担心了.");
 选择项("呵呵,举手之劳!@exit");
 end;

end;

function 讲述事情()
提示("我过几天就要去海外,就在今天早上.\n突然发现<地图卷轴>丢了,应该就在附近\n你能帮我找找看吗?\n找到了我将送你一百卷<双倍经验>卷轴!\n另外再加上50000金币");
选择项("好的,我现在就帮你去找.@接受任务","这个嘛,我暂时还有点事.@exit");
end;

function 接受任务()
增加任务(4);
置NPC变量(8,1);
exit();
end;

function 完成任务()
置NPC变量(8,3);
结束任务(4);
增加金币(50000)
增加物品("双倍经验",100);
提示("太感谢你了.这一路不担心了.");
选择项("呵呵,举手之劳!@exit");
end;

Main();